Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class RepeaterActionDefinitionBuilder

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinitionBuilder
          org.apache.cocoon.forms.formmodel.RepeaterActionDefinitionBuilder

All Implemented Interfaces:
  WidgetDefinitionBuilder

public class RepeaterActionDefinitionBuilder
extends AbstractWidgetDefinitionBuilder

Builds a `<fd:repeater-action/>`

Three actions are defined:

- `<fd:repeater-action id="add" command="add-row" repeater="repeater-id"/>`: when activated, adds a row to the sibling repeater named "repeater-id".
- `<fd:repeater-action id="rm" command="delete-rows" repeater="repeater-id" select="select-id"/>`: removes the selected rows from the sibling repeater named "repeater-id". The selected rows are identified by the boolean field "select-id" present in each row.
- `<fd:repeater-action id="insert" command="insert-rows" repeater="repeater-id" select="select-id"/>`: inserts rows before the selected rows from the sibling repeater named "repeater-id". The selected rows are identified by the boolean field "select-id" present in each row.

Version:
  $Id: RepeaterActionDefinitionBuilder.java 615336 2008-01-25 20:48:44Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinitionBuilder
`datatypeManager, expressionManager, widgetDefinitionBuilders, widgetListenerBuilders, widgetValidatorBuilders`

Constructor Summary
`RepeaterActionDefinitionBuilder()`

Method Summary
`WidgetDefinition` | `buildWidgetDefinition(Element widgetElement, WidgetDefinitionBuilderContext context)`
`protected RepeaterActionDefinition` | `createDefinition(Element element, String actionCommand)`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinitionBuilder
`buildAnotherWidgetDefinition, buildEventListeners, buildWidgetDefinition, setCommonProperties, setCreateListeners, setDatatypeManager, setDisplayData, setExpressionManager, setupDefinition, setValidators, setWidgetDefinitionBuilders, setWidgetListenerBuilders, setWidgetValidatorBuilders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeaterActionDefinitionBuilder

    public RepeaterActionDefinitionBuilder()

Method Detail

### buildWidgetDefinition

    public WidgetDefinition buildWidgetDefinition(Element widgetElement,
                                                  WidgetDefinitionBuilderContext context)
                                           throws Exception

  Throws:
    `Exception`

### createDefinition

    protected RepeaterActionDefinition createDefinition(Element element,
                                                        String actionCommand)
                                                 throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.